Subject: Re: [bug#45039] [PATCH] Remove duplicate path declaration

From: zimoun <[email-masked]>
Date: Fri, 04 Dec 2020 21:46:01 +0100

Hi Leo,

On Fri, 04 Dec 2020 at 14:13, Leo Famulari <[email-masked]> wrote:
> On Fri, Dec 04, 2020 at 10:51:37AM +0100, Holger Peters wrote:
>> * doc/guix.texi: Fixup path declaration.
>
>>  @example
>> -GUIX_PROFILE="$HOME/.config/guix/current/etc/profile"
>> +GUIX_PROFILE="$HOME/.config/guix/current"
>>  . "$GUIX_PROFILE/etc/profile"
>>  @end example
>
> Thanks! That example is definitely not right...
>
> However, it doesn't seem right to me either that GUIX_PROFILE should
> point to '~/.config/guix/current/etc/profile'. That profile won't
> contain anything useful related to packages the user installs. Compare
> it to the contents of '~/.guix-profile/etc/profile' to see what I mean.

Well, from my understanding, doing this:

        GUIX_PROFILE=$HOME/.config/guix/current
        . $GUIX_PROFILE/etc/profile

allows to have the guix commands that refer to the latest version “guix
pull”’ed.   Moreover, you also have the last version of the manual with:

--8<---------------cut here---------------start------------->8---
export INFOPATH="$HOME/.config/guix/current/share/info${INFOPATH:+:}$INFOPATH"
--8<---------------cut here---------------end--------------->8---

To me, the manual is right for this part.  Maybe I am missing something.

> I alo was curious about the preceding paragraph, which states "Unless
> you’re on Guix System, the first time you run guix pull, be sure to
> follow the hint that the command prints [...]". I re-installed Guix on a
> Debian system and it prints this instead:
>
> ------
> hint: Consider setting the necessary environment variables by running:
>
>      GUIX_PROFILE="/root/.guix-profile"
>      . "$GUIX_PROFILE/etc/profile"
>
> Alternately, see `guix package --search-paths -p "/root/.guix-profile"'.
> ------

Did you run “guix pull” as regular user?

All the best,
simon